import { FormatAdapter, ParseResult } from '@annotorious/core';
import { PDFAnnotation } from '../PDFAnnotation';
import { W3CPDFAnnotation } from './W3CPDFAnnotation';
export type W3CPDFFormatAdapter = FormatAdapter<PDFAnnotation, W3CPDFAnnotation>;
/**
 * @param source - the IRI of the annotated content
 * @param container - the HTML container of the annotated content,
 *                    Required to locate the content's `range` within the DOM
 */
export declare const W3CTextFormat: (source: string) => W3CPDFFormatAdapter;
export declare const parseW3CPDFAnnotation: <E extends W3CPDFAnnotation = W3CPDFAnnotation>(annotation: E) => ParseResult<PDFAnnotation>;
export declare const serializeW3CPDFAnnotation: <I extends PDFAnnotation = PDFAnnotation, E extends W3CPDFAnnotation = W3CPDFAnnotation>(annotation: I, source: string) => E;
